
Partial Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        On Error Resume Next

        If IsPostBack Then
            'MsgBox("postback")
            'subsequent page loads
        Else
            'MsgBox("Init")
            PdfViewer1.Resolution = 100 '90 is the default
            PdfViewer1.Height = 1120
            PdfViewer1.Width = 872
            PdfViewer1.BorderStyle = BorderStyle.Inset
            PdfViewer1.DataPath = "App_Data" 'The name of the sub-folder under the app's folder

            'TempFile should be unique for each user. A good example is login
            'user ID. This is necessary because each user of the application
            'will be creating files in the application's folder. 
            'The user or any unique set of characters
            'can also be used
            Dim userName As String = Context.User.Identity.Name
            Dim i As Integer = InStr(userName, "\")
            If i Then
                userName = Mid(userName, i + 1)
            End If
            PdfViewer1.TempFile = userName

            'System.IO.Directory.CreateDirectory(PdfViewer1.PhysicalAppPath & user)
            'PdfViewer1.DataPath = user 'The name of the sub-folder under the app's folder

            'PdfViewer1.TempFile = "JohnDoe"
            Kill(PdfViewer1.PhysicalAppPath & PdfViewer1.DataPath & "\" & PdfViewer1.TempFile & ".png")
            Kill(PdfViewer1.PhysicalAppPath & PdfViewer1.DataPath & "\" & PdfViewer1.TempFile & "_*.pdf")
            Kill(PdfViewer1.PhysicalAppPath & userName & "\" & PdfViewer1.TempFile & ".png")
            Kill(PdfViewer1.PhysicalAppPath & userName & "\" & PdfViewer1.TempFile & "_*.pdf")
        End If
    End Sub

    Protected Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        If PdfViewer1.IsPdfLoaded = False Then Exit Sub
        PdfViewer1.NextPage()
        UpdatePageInfo()
    End Sub

    Protected Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        PdfViewer1.PdfPage = 1
        'PdfViewer1.PdfPath = "C:\Source\VB7\PDF Viewer Component for ASP .NET\PDF Viewer\WebApplication1\App_Data\pdfview.pdf"
        'PdfViewer1.PdfPath = "c:\temp\wiseupd.pdf"
        'PdfViewer1.PdfPath = "c:\temp\Quick PDF Library 7.16 Reference Guide.pdf"
        'PdfViewer1.PdfPath = "c:\temp\pdfvnet.pdf"
        PdfViewer1.DataPath = "App_Data" 'The name of the sub-folder under the app's folder
        PdfViewer1.File = "pdfview.pdf"
        'PdfViewer1.Password = "password"
        'PdfViewer1.File = "file.pdf"
        Label3.Text = PdfViewer1.PdfPath 'Actual path of PDF file
        'Label3.Text = PdfViewer1.DataPath 'Folder name under application path where PDF files exist
        'Label3.Text = PdfViewer1.File 'active PDF File name
        'Label3.Text = PdfViewer1.TempFile 'temporary PDF File name
        'Label3.Text = PdfViewer1.VirtualPath 'virtual path name of application
        'Label3.Text = PdfViewer1.RawURL 'Raw URL
        'Label3.Text = PdfViewer1.URL 'URL
        'Label3.Text = PdfViewer1.PhysicalPath
        'Label3.Text = PdfViewer1.PhysicalAppPath
        'Label3.Text = PdfViewer1.PdfDir
        UpdatePageInfo()
        'Note: Only 5 bookmarks display in trial version
        PdfViewer1.ExportBookmarksToTreeView(TreeView1, False)
    End Sub

    Protected Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        'PdfViewer1.PdfPage = 1
        'PdfViewer1.File = "file.pdf"
        'PdfViewer1.Password = "password"
        'Label3.Text = PdfViewer1.PdfPath
        If FileUpload1.HasFile Then
            Try

                'Label3.Text = PdfViewer1.PhysicalAppPath & FileUpload1.FileName
                'FileUpload1.SaveAs(PdfViewer1.PdfDir & PdfViewer1.TempFile & "_" & FileUpload1.FileName)
                Dim userName As String = Context.User.Identity.Name
                Dim i As Integer = InStr(userName, "\")
                If i Then
                    userName = Mid(userName, i + 1)
                End If
                PdfViewer1.DataPath = userName 'The name of the sub-folder under the app's folder
                FileUpload1.SaveAs(PdfViewer1.PhysicalAppPath & PdfViewer1.DataPath & "\" & PdfViewer1.TempFile & "_" & FileUpload1.FileName)
                PdfViewer1.PdfPage = 1
                PdfViewer1.File = PdfViewer1.TempFile & "_" & FileUpload1.FileName
                Label3.Text = PdfViewer1.PdfPath
                UpdatePageInfo()
                PdfViewer1.ExportBookmarksToTreeView(TreeView1, False)
                'Label3.Text = "File name: " & _
                '   FileUpload1.PostedFile.FileName & "<br>" & _
                '   "File Size: " & _
                '   FileUpload1.PostedFile.ContentLength & " kb<br>" & _
                '   "Content type: " & _
                '   FileUpload1.PostedFile.ContentType
            Catch ex As Exception
                Label3.Text = "ERROR: " & ex.Message.ToString()
            End Try
        Else
            Label3.Text = "You have not specified a file. Please click the 'Browse...' Button above to select a PDF file located on the client then click button 'Open PDF on Client' again."
        End If
    End Sub

    Protected Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        If PdfViewer1.IsPdfLoaded = False Then Exit Sub
        PdfViewer1.PreviousPage()
        UpdatePageInfo()
    End Sub

    Protected Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        If PdfViewer1.IsPdfLoaded = False Then Exit Sub
        PdfViewer1.LastPage()
        UpdatePageInfo()
    End Sub

    Protected Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        If PdfViewer1.IsPdfLoaded = False Then Exit Sub
        PdfViewer1.FirstPage()
        UpdatePageInfo()
    End Sub

    Protected Sub Button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button7.Click
        PdfViewer1.PdfPage = 1
        'PdfViewer1.PdfPath = "C:\Source\VB7\PDF Viewer Component for ASP .NET\PDF Viewer\WebApplication1\App_Data\pdfview.pdf"
        'PdfViewer1.PdfPath = "c:\temp\wiseupd.pdf"
        'PdfViewer1.PdfPath = "c:\temp\Quick PDF Library 7.16 Reference Guide.pdf"
        'PdfViewer1.PdfPath = "c:\temp\pdfvnet.pdf"
        PdfViewer1.DataPath = "App_Data" 'The name of the sub-folder under the app's folder
        PdfViewer1.File = "pdfview.pdf"
        'PdfViewer1.Password = "password"
        'PdfViewer1.File = "file.pdf"
        Label3.Text = PdfViewer1.PdfPath 'Actual path of PDF file
        'Label3.Text = PdfViewer1.DataPath 'Folder name under application path where PDF files exist
        'Label3.Text = PdfViewer1.File 'active PDF File name
        'Label3.Text = PdfViewer1.TempFile 'temporary PDF File name
        'Label3.Text = PdfViewer1.VirtualPath 'virtual path name of application
        'Label3.Text = PdfViewer1.RawURL 'Raw URL
        'Label3.Text = PdfViewer1.URL 'URL
        'Label3.Text = PdfViewer1.PhysicalPath
        'Label3.Text = PdfViewer1.PhysicalAppPath
        'Label3.Text = PdfViewer1.PdfDir
        UpdatePageInfo()
        'Note: Only 5 bookmarks display in trial version
        PdfViewer1.ExportBookmarksToTreeView(TreeView1, False)
    End Sub

    Protected Sub Button8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button8.Click
        'PdfViewer1.PdfPage = 1
        'PdfViewer1.File = "file.pdf"
        'PdfViewer1.Password = "password"
        'Label3.Text = PdfViewer1.PdfPath
        'c
        If FileUpload1.HasFile Then
            Try

                'Label3.Text = PdfViewer1.PhysicalAppPath & FileUpload1.FileName
                'FileUpload1.SaveAs(PdfViewer1.PdfDir & PdfViewer1.TempFile & "_" & FileUpload1.FileName)
                Dim userName As String = Context.User.Identity.Name
                Dim i As Integer = InStr(userName, "\")
                If i Then
                    userName = Mid(userName, i + 1)
                End If
                PdfViewer1.DataPath = userName 'The name of the sub-folder under the app's folder
                FileUpload1.SaveAs(PdfViewer1.PhysicalAppPath & PdfViewer1.DataPath & "\" & PdfViewer1.TempFile & "_" & FileUpload1.FileName)
                PdfViewer1.PdfPage = 1
                PdfViewer1.File = PdfViewer1.TempFile & "_" & FileUpload1.FileName
                Label3.Text = PdfViewer1.PdfPath
                UpdatePageInfo()
                PdfViewer1.ExportBookmarksToTreeView(TreeView1, False)
                'Label3.Text = "File name: " & _
                '   FileUpload1.PostedFile.FileName & "<br>" & _
                '   "File Size: " & _
                '   FileUpload1.PostedFile.ContentLength & " kb<br>" & _
                '   "Content type: " & _
                '   FileUpload1.PostedFile.ContentType
            Catch ex As Exception
                Label3.Text = "ERROR: " & ex.Message.ToString()
            End Try
        Else
            Label3.Text = "You have not specified a file. Please click the 'Browse...' Button above to select a PDF file located on the client then click button 'Open PDF on Client' again."
        End If
    End Sub

    Protected Sub Button9_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button9.Click
        If PdfViewer1.IsPdfLoaded = False Then Exit Sub
        PdfViewer1.FirstPage()
        UpdatePageInfo()
    End Sub

    Protected Sub Button10_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button10.Click
        If PdfViewer1.IsPdfLoaded = False Then Exit Sub
        PdfViewer1.PreviousPage()
        UpdatePageInfo()
    End Sub

    Protected Sub Button11_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button11.Click
        If PdfViewer1.IsPdfLoaded = False Then Exit Sub
        PdfViewer1.NextPage()
        UpdatePageInfo()
    End Sub

    Protected Sub Button12_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button12.Click
        If PdfViewer1.IsPdfLoaded = False Then Exit Sub
        PdfViewer1.LastPage()
        UpdatePageInfo()
    End Sub

    Private Sub UpdatePageInfo()
        Label1.Text = "Page " & PdfViewer1.PdfPage & " of " & PdfViewer1.PdfTotalPages
        Label2.Text = "Page " & PdfViewer1.PdfPage & " of " & PdfViewer1.PdfTotalPages
    End Sub

    Protected Sub Button13_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button13.Click
        If PdfViewer1.IsPdfLoaded = False Then Exit Sub
        Dim b As Boolean
        b = PdfViewer1.SetPage(TextBox1.Text)
        UpdatePageInfo()
    End Sub

    Protected Sub Button14_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button14.Click
        If PdfViewer1.IsPdfLoaded = False Then Exit Sub
        Dim b As Boolean
        b = PdfViewer1.SetPage(TextBox2.Text)
        UpdatePageInfo()
    End Sub

    Protected Sub Button15_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button15.Click
        PdfViewer1.Print(150, False, False, False, False)
        'PdfViewer1.PrintWithAPI() 'Uses default PDF printer (usually Adobe Reader) to print the active PDF
    End Sub

    Protected Overrides Sub Finalize()
        MyBase.Finalize()
    End Sub

    Protected Sub Button16_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button16.Click
        PdfViewer1.UnloadPDF()
        Label1.Text = ""
        Label2.Text = ""
        Label3.Text = ""
    End Sub

    Protected Sub Button17_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button17.Click
        'The source PDF file that contains blank form field values
        PdfViewer1.PdfPage = 1
        PdfViewer1.DataPath = "App_Data" 'The name of the sub-folder under the app's folder
        PdfViewer1.File = "fields.pdf"
        Label3.Text = PdfViewer1.PdfPath
        UpdatePageInfo()
        'The target PDF file that will contain the filled field values
        PdfViewer1.PdfFormFile = "filled.pdf"
        'Store values in arrays
        'Field names
        Dim fieldNames(10) As String
        fieldNames(0) = "form1[0].#subform[0].TextField1[0]"
        fieldNames(1) = "form1[0].#subform[0].TextField2[0]"
        fieldNames(2) = "form1[0].#subform[0].TextField3[0]"
        fieldNames(3) = "form1[0].#subform[0].TextField4[0]"
        fieldNames(4) = "form1[0].#subform[0]..DateTimeField1[0]"
        fieldNames(5) = "form1[0].#subform[0].ListBox1[0]"
        fieldNames(6) = "form1[0].#subform[0].NumericField1[0]"
        fieldNames(7) = "form1[0].#subform[0].State[0]"
        fieldNames(8) = "form1[0].#subform[0].email[0]"
        fieldNames(9) = "form1[0].#subform[0].CheckBox1[0]"
        fieldNames(10) = "form1[0].#subform[0].RadioButtonList[0]"
        'Field values
        Dim fieldValues(10) As String
        fieldValues(0) = "John Doe"
        fieldValues(1) = "27560"
        fieldValues(2) = "123 Main St"
        fieldValues(3) = "Raleigh"
        fieldValues(4) = "04/21/2009"
        fieldValues(5) = "White"
        fieldValues(6) = "42"
        fieldValues(7) = "NC"
        fieldValues(8) = "johndoe@mail.com"
        fieldValues(9) = "1"
        fieldValues(10) = "1" 'set to "2" for Female
        'Flatten fields?
        Dim flatten(10) As Boolean
        flatten(0) = False
        flatten(1) = True
        flatten(2) = True
        flatten(3) = True
        flatten(4) = True
        flatten(5) = True
        flatten(6) = True
        flatten(7) = True
        flatten(8) = True
        flatten(9) = True
        flatten(10) = True
        PdfViewer1.FillFormField(fieldNames, fieldValues, flatten)
        'Open the filled PDF file
        PdfViewer1.File = "filled.pdf"
        Label3.Text = PdfViewer1.PdfPath
        UpdatePageInfo()
        PdfViewer1.PdfFormFile = ""
    End Sub

    Protected Sub TreeView1_SelectedNodeChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TreeView1.SelectedNodeChanged
        Dim b As Boolean
        b = PdfViewer1.SetPage(TreeView1.SelectedNode.Value)
        UpdatePageInfo()
    End Sub
End Class
